> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainloop.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List products

> Retrieves a paginated list of products with optional filtering by name, description, business unit, and project association. Only returns products the user has access to.



## OpenAPI

````yaml https://api.app.chainloop.dev/openapi.yaml get /v1/products
openapi: 3.0.1
info:
  contact:
    email: support@chainloop.dev
    name: Chainloop Support
    url: https://chainloop.dev
  termsOfService: https://chainloop.dev/terms
  title: Chainloop Platform API
  version: '1.0'
servers:
  - url: https://api.app.chainloop.dev/
security:
  - bearerToken: []
tags:
  - description: AI-powered agent operations
    name: AgentsService
  - name: ArtifactService
  - name: AssessmentService
  - description: Service for polling the status of asynchronous operations
    name: AsyncOperationsService
  - name: AttestationsService
  - name: PolicyService
  - name: ComplianceService
  - name: ComponentService
  - name: EnvironmentsService
  - name: EvidenceService
  - name: FindingService
  - name: LogicalEnvironmentsService
  - name: ProductsService
  - name: ProjectsService
  - name: UserService
externalDocs:
  description: Chainloop Official Documentation
  url: https://docs.chainloop.dev
paths:
  /v1/products:
    get:
      tags:
        - ProductsService
      summary: List products
      description: >-
        Retrieves a paginated list of products with optional filtering by name,
        description, business unit, and project association. Only returns
        products the user has access to.
      operationId: ProductsService_List
      parameters:
        - description: Optional filter by product name
          in: query
          name: name
          schema:
            type: string
        - description: Optional filter by product description
          in: query
          name: description
          schema:
            type: string
        - description: >-
            The (zero-based) offset of the first item returned in the
            collection.
          in: query
          name: pagination.page
          schema:
            format: int32
            type: integer
        - description: >-
            The maximum number of entries to return. If the value exceeds the
            maximum, then the maximum value will be used.
          in: query
          name: pagination.page_size
          schema:
            format: int32
            type: integer
        - description: |-
            Optional filter by project presence

             - PRODUCT_PROJECT_FILTER_UNSPECIFIED: No filter, return all products (default/unspecified)
             - PRODUCT_PROJECT_FILTER_WITH_PROJECTS: Return only products that have projects associated
             - PRODUCT_PROJECT_FILTER_WITHOUT_PROJECTS: Return only products that have no projects associated
          in: query
          name: project_filter
          schema:
            default: PRODUCT_PROJECT_FILTER_UNSPECIFIED
            enum:
              - PRODUCT_PROJECT_FILTER_UNSPECIFIED
              - PRODUCT_PROJECT_FILTER_WITH_PROJECTS
              - PRODUCT_PROJECT_FILTER_WITHOUT_PROJECTS
            type: string
        - description: Optional filter by business unit IDs
          explode: true
          in: query
          name: business_unit_ids
          schema:
            items:
              type: string
            type: array
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1ProductsServiceListResponse'
          description: A successful response.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1BadRequestResponse'
          description: Bad Request - The request was invalid or cannot be served.
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1UnauthorizedResponse'
          description: Unauthorized - Authentication is required.
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1PermissionDeniedResponse'
          description: Forbidden - You do not have permission to access this resource.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1InternalServerErrorResponse'
          description: Internal Server Error - An unexpected error occurred on the server.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
          description: An unexpected error response.
components:
  schemas:
    v1ProductsServiceListResponse:
      example:
        pagination:
          total_count: 4
          page: 3
          total_pages: 7
          page_size: 2
        products:
          - updated_at: '2000-01-23T04:56:07.000Z'
            latest_version:
              project_versions:
                - track_latest_project_version: true
                  project:
                    latest_released_version:
                      project_id: project_id
                      frameworks:
                        - preview: true
                          requirements:
                            - version_references:
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                              preview: true
                              frameworks:
                                - null
                                - null
                              built_in: true
                              raw_schema:
                                format: FORMAT_UNSPECIFIED
                                body: body
                              created_at: '2000-01-23T04:56:07.000Z'
                              description: description
                              display_name: display_name
                              updated_at: '2000-01-23T04:56:07.000Z'
                              organization_id: organization_id
                              scope: null
                              name: name
                              id: id
                              status: REQUIREMENT_STATUS_UNSPECIFIED
                            - version_references:
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                              preview: true
                              frameworks:
                                - null
                                - null
                              built_in: true
                              raw_schema:
                                format: FORMAT_UNSPECIFIED
                                body: body
                              created_at: '2000-01-23T04:56:07.000Z'
                              description: description
                              display_name: display_name
                              updated_at: '2000-01-23T04:56:07.000Z'
                              organization_id: organization_id
                              scope: null
                              name: name
                              id: id
                              status: REQUIREMENT_STATUS_UNSPECIFIED
                          projects:
                            - null
                            - null
                          built_in: true
                          raw_schema:
                            format: FORMAT_UNSPECIFIED
                            body: body
                          description: description
                          created_at: '2000-01-23T04:56:07.000Z'
                          display_name: display_name
                          sections:
                            - requirements:
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                              parent_id: parent_id
                              name: name
                              sub_sections:
                                - null
                                - null
                              description: description
                              id: id
                            - requirements:
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                              parent_id: parent_id
                              name: name
                              sub_sections:
                                - null
                                - null
                              description: description
                              id: id
                          products:
                            - name: name
                              description: description
                              created_at: '2000-01-23T04:56:07.000Z'
                              id: id
                            - name: name
                              description: description
                              created_at: '2000-01-23T04:56:07.000Z'
                              id: id
                          updated_at: '2000-01-23T04:56:07.000Z'
                          organization_id: organization_id
                          name: name
                          id: id
                          not_applicable: true
                        - preview: true
                          requirements:
                            - version_references:
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                              preview: true
                              frameworks:
                                - null
                                - null
                              built_in: true
                              raw_schema:
                                format: FORMAT_UNSPECIFIED
                                body: body
                              created_at: '2000-01-23T04:56:07.000Z'
                              description: description
                              display_name: display_name
                              updated_at: '2000-01-23T04:56:07.000Z'
                              organization_id: organization_id
                              scope: null
                              name: name
                              id: id
                              status: REQUIREMENT_STATUS_UNSPECIFIED
                            - version_references:
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                              preview: true
                              frameworks:
                                - null
                                - null
                              built_in: true
                              raw_schema:
                                format: FORMAT_UNSPECIFIED
                                body: body
                              created_at: '2000-01-23T04:56:07.000Z'
                              description: description
                              display_name: display_name
                              updated_at: '2000-01-23T04:56:07.000Z'
                              organization_id: organization_id
                              scope: null
                              name: name
                              id: id
                              status: REQUIREMENT_STATUS_UNSPECIFIED
                          projects:
                            - null
                            - null
                          built_in: true
                          raw_schema:
                            format: FORMAT_UNSPECIFIED
                            body: body
                          description: description
                          created_at: '2000-01-23T04:56:07.000Z'
                          display_name: display_name
                          sections:
                            - requirements:
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                              parent_id: parent_id
                              name: name
                              sub_sections:
                                - null
                                - null
                              description: description
                              id: id
                            - requirements:
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                              parent_id: parent_id
                              name: name
                              sub_sections:
                                - null
                                - null
                              description: description
                              id: id
                          products:
                            - name: name
                              description: description
                              created_at: '2000-01-23T04:56:07.000Z'
                              id: id
                            - name: name
                              description: description
                              created_at: '2000-01-23T04:56:07.000Z'
                              id: id
                          updated_at: '2000-01-23T04:56:07.000Z'
                          organization_id: organization_id
                          name: name
                          id: id
                          not_applicable: true
                      workflow_runs_count: workflow_runs_count
                      last_workflow_run_at: '2000-01-23T04:56:07.000Z'
                      pre_release: true
                      created_at: '2000-01-23T04:56:07.000Z'
                      id: id
                      released_at: '2000-01-23T04:56:07.000Z'
                      version: version
                      latest: true
                      status: null
                    latest_version:
                      project_id: project_id
                      frameworks:
                        - preview: true
                          requirements:
                            - version_references:
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                              preview: true
                              frameworks:
                                - null
                                - null
                              built_in: true
                              raw_schema:
                                format: FORMAT_UNSPECIFIED
                                body: body
                              created_at: '2000-01-23T04:56:07.000Z'
                              description: description
                              display_name: display_name
                              updated_at: '2000-01-23T04:56:07.000Z'
                              organization_id: organization_id
                              scope: null
                              name: name
                              id: id
                              status: REQUIREMENT_STATUS_UNSPECIFIED
                            - version_references:
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                              preview: true
                              frameworks:
                                - null
                                - null
                              built_in: true
                              raw_schema:
                                format: FORMAT_UNSPECIFIED
                                body: body
                              created_at: '2000-01-23T04:56:07.000Z'
                              description: description
                              display_name: display_name
                              updated_at: '2000-01-23T04:56:07.000Z'
                              organization_id: organization_id
                              scope: null
                              name: name
                              id: id
                              status: REQUIREMENT_STATUS_UNSPECIFIED
                          projects:
                            - null
                            - null
                          built_in: true
                          raw_schema:
                            format: FORMAT_UNSPECIFIED
                            body: body
                          description: description
                          created_at: '2000-01-23T04:56:07.000Z'
                          display_name: display_name
                          sections:
                            - requirements:
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                              parent_id: parent_id
                              name: name
                              sub_sections:
                                - null
                                - null
                              description: description
                              id: id
                            - requirements:
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                              parent_id: parent_id
                              name: name
                              sub_sections:
                                - null
                                - null
                              description: description
                              id: id
                          products:
                            - name: name
                              description: description
                              created_at: '2000-01-23T04:56:07.000Z'
                              id: id
                            - name: name
                              description: description
                              created_at: '2000-01-23T04:56:07.000Z'
                              id: id
                          updated_at: '2000-01-23T04:56:07.000Z'
                          organization_id: organization_id
                          name: name
                          id: id
                          not_applicable: true
                        - preview: true
                          requirements:
                            - version_references:
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                              preview: true
                              frameworks:
                                - null
                                - null
                              built_in: true
                              raw_schema:
                                format: FORMAT_UNSPECIFIED
                                body: body
                              created_at: '2000-01-23T04:56:07.000Z'
                              description: description
                              display_name: display_name
                              updated_at: '2000-01-23T04:56:07.000Z'
                              organization_id: organization_id
                              scope: null
                              name: name
                              id: id
                              status: REQUIREMENT_STATUS_UNSPECIFIED
                            - version_references:
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                              preview: true
                              frameworks:
                                - null
                                - null
                              built_in: true
                              raw_schema:
                                format: FORMAT_UNSPECIFIED
                                body: body
                              created_at: '2000-01-23T04:56:07.000Z'
                              description: description
                              display_name: display_name
                              updated_at: '2000-01-23T04:56:07.000Z'
                              organization_id: organization_id
                              scope: null
                              name: name
                              id: id
                              status: REQUIREMENT_STATUS_UNSPECIFIED
                          projects:
                            - null
                            - null
                          built_in: true
                          raw_schema:
                            format: FORMAT_UNSPECIFIED
                            body: body
                          description: description
                          created_at: '2000-01-23T04:56:07.000Z'
                          display_name: display_name
                          sections:
                            - requirements:
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                              parent_id: parent_id
                              name: name
                              sub_sections:
                                - null
                                - null
                              description: description
                              id: id
                            - requirements:
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                              parent_id: parent_id
                              name: name
                              sub_sections:
                                - null
                                - null
                              description: description
                              id: id
                          products:
                            - name: name
                              description: description
                              created_at: '2000-01-23T04:56:07.000Z'
                              id: id
                            - name: name
                              description: description
                              created_at: '2000-01-23T04:56:07.000Z'
                              id: id
                          updated_at: '2000-01-23T04:56:07.000Z'
                          organization_id: organization_id
                          name: name
                          id: id
                          not_applicable: true
                      workflow_runs_count: workflow_runs_count
                      last_workflow_run_at: '2000-01-23T04:56:07.000Z'
                      pre_release: true
                      created_at: '2000-01-23T04:56:07.000Z'
                      id: id
                      released_at: '2000-01-23T04:56:07.000Z'
                      version: version
                      latest: true
                      status: null
                    updated_at: '2000-01-23T04:56:07.000Z'
                    organization:
                      name: name
                      id: id
                    name: name
                    description: description
                    created_at: '2000-01-23T04:56:07.000Z'
                    id: id
                    products:
                      - name: name
                        description: description
                        created_at: '2000-01-23T04:56:07.000Z'
                        id: id
                      - name: name
                        description: description
                        created_at: '2000-01-23T04:56:07.000Z'
                        id: id
                  version:
                    project_id: project_id
                    frameworks:
                      - preview: true
                        requirements:
                          - version_references:
                              - scope: UNSPECIFIED
                                id: id
                                automated_policies_count: 6
                                revision: 0
                                manual_evidence_count: 1
                              - scope: UNSPECIFIED
                                id: id
                                automated_policies_count: 6
                                revision: 0
                                manual_evidence_count: 1
                            preview: true
                            frameworks:
                              - null
                              - null
                            built_in: true
                            raw_schema:
                              format: FORMAT_UNSPECIFIED
                              body: body
                            created_at: '2000-01-23T04:56:07.000Z'
                            description: description
                            display_name: display_name
                            updated_at: '2000-01-23T04:56:07.000Z'
                            organization_id: organization_id
                            scope: null
                            name: name
                            id: id
                            status: REQUIREMENT_STATUS_UNSPECIFIED
                          - version_references:
                              - scope: UNSPECIFIED
                                id: id
                                automated_policies_count: 6
                                revision: 0
                                manual_evidence_count: 1
                              - scope: UNSPECIFIED
                                id: id
                                automated_policies_count: 6
                                revision: 0
                                manual_evidence_count: 1
                            preview: true
                            frameworks:
                              - null
                              - null
                            built_in: true
                            raw_schema:
                              format: FORMAT_UNSPECIFIED
                              body: body
                            created_at: '2000-01-23T04:56:07.000Z'
                            description: description
                            display_name: display_name
                            updated_at: '2000-01-23T04:56:07.000Z'
                            organization_id: organization_id
                            scope: null
                            name: name
                            id: id
                            status: REQUIREMENT_STATUS_UNSPECIFIED
                        projects:
                          - null
                          - null
                        built_in: true
                        raw_schema:
                          format: FORMAT_UNSPECIFIED
                          body: body
                        description: description
                        created_at: '2000-01-23T04:56:07.000Z'
                        display_name: display_name
                        sections:
                          - requirements:
                              - version_references:
                                  - scope: UNSPECIFIED
                                    id: id
                                    automated_policies_count: 6
                                    revision: 0
                                    manual_evidence_count: 1
                                  - scope: UNSPECIFIED
                                    id: id
                                    automated_policies_count: 6
                                    revision: 0
                                    manual_evidence_count: 1
                                preview: true
                                frameworks:
                                  - null
                                  - null
                                built_in: true
                                raw_schema:
                                  format: FORMAT_UNSPECIFIED
                                  body: body
                                created_at: '2000-01-23T04:56:07.000Z'
                                description: description
                                display_name: display_name
                                updated_at: '2000-01-23T04:56:07.000Z'
                                organization_id: organization_id
                                scope: null
                                name: name
                                id: id
                                status: REQUIREMENT_STATUS_UNSPECIFIED
                              - version_references:
                                  - scope: UNSPECIFIED
                                    id: id
                                    automated_policies_count: 6
                                    revision: 0
                                    manual_evidence_count: 1
                                  - scope: UNSPECIFIED
                                    id: id
                                    automated_policies_count: 6
                                    revision: 0
                                    manual_evidence_count: 1
                                preview: true
                                frameworks:
                                  - null
                                  - null
                                built_in: true
                                raw_schema:
                                  format: FORMAT_UNSPECIFIED
                                  body: body
                                created_at: '2000-01-23T04:56:07.000Z'
                                description: description
                                display_name: display_name
                                updated_at: '2000-01-23T04:56:07.000Z'
                                organization_id: organization_id
                                scope: null
                                name: name
                                id: id
                                status: REQUIREMENT_STATUS_UNSPECIFIED
                            parent_id: parent_id
                            name: name
                            sub_sections:
                              - null
                              - null
                            description: description
                            id: id
                          - requirements:
                              - version_references:
                                  - scope: UNSPECIFIED
                                    id: id
                                    automated_policies_count: 6
                                    revision: 0
                                    manual_evidence_count: 1
                                  - scope: UNSPECIFIED
                                    id: id
                                    automated_policies_count: 6
                                    revision: 0
                                    manual_evidence_count: 1
                                preview: true
                                frameworks:
                                  - null
                                  - null
                                built_in: true
                                raw_schema:
                                  format: FORMAT_UNSPECIFIED
                                  body: body
                                created_at: '2000-01-23T04:56:07.000Z'
                                description: description
                                display_name: display_name
                                updated_at: '2000-01-23T04:56:07.000Z'
                                organization_id: organization_id
                                scope: null
                                name: name
                                id: id
                                status: REQUIREMENT_STATUS_UNSPECIFIED
                              - version_references:
                                  - scope: UNSPECIFIED
                                    id: id
                                    automated_policies_count: 6
                                    revision: 0
                                    manual_evidence_count: 1
                                  - scope: UNSPECIFIED
                                    id: id
                                    automated_policies_count: 6
                                    revision: 0
                                    manual_evidence_count: 1
                                preview: true
                                frameworks:
                                  - null
                                  - null
                                built_in: true
                                raw_schema:
                                  format: FORMAT_UNSPECIFIED
                                  body: body
                                created_at: '2000-01-23T04:56:07.000Z'
                                description: description
                                display_name: display_name
                                updated_at: '2000-01-23T04:56:07.000Z'
                                organization_id: organization_id
                                scope: null
                                name: name
                                id: id
                                status: REQUIREMENT_STATUS_UNSPECIFIED
                            parent_id: parent_id
                            name: name
                            sub_sections:
                              - null
                              - null
                            description: description
                            id: id
                        products:
                          - name: name
                            description: description
                            created_at: '2000-01-23T04:56:07.000Z'
                            id: id
                          - name: name
                            description: description
                            created_at: '2000-01-23T04:56:07.000Z'
                            id: id
                        updated_at: '2000-01-23T04:56:07.000Z'
                        organization_id: organization_id
                        name: name
                        id: id
                        not_applicable: true
                      - preview: true
                        requirements:
                          - version_references:
                              - scope: UNSPECIFIED
                                id: id
                                automated_policies_count: 6
                                revision: 0
                                manual_evidence_count: 1
                              - scope: UNSPECIFIED
                                id: id
                                automated_policies_count: 6
                                revision: 0
                                manual_evidence_count: 1
                            preview: true
                            frameworks:
                              - null
                              - null
                            built_in: true
                            raw_schema:
                              format: FORMAT_UNSPECIFIED
                              body: body
                            created_at: '2000-01-23T04:56:07.000Z'
                            description: description
                            display_name: display_name
                            updated_at: '2000-01-23T04:56:07.000Z'
                            organization_id: organization_id
                            scope: null
                            name: name
                            id: id
                            status: REQUIREMENT_STATUS_UNSPECIFIED
                          - version_references:
                              - scope: UNSPECIFIED
                                id: id
                                automated_policies_count: 6
                                revision: 0
                                manual_evidence_count: 1
                              - scope: UNSPECIFIED
                                id: id
                                automated_policies_count: 6
                                revision: 0
                                manual_evidence_count: 1
                            preview: true
                            frameworks:
                              - null
                              - null
                            built_in: true
                            raw_schema:
                              format: FORMAT_UNSPECIFIED
                              body: body
                            created_at: '2000-01-23T04:56:07.000Z'
                            description: description
                            display_name: display_name
                            updated_at: '2000-01-23T04:56:07.000Z'
                            organization_id: organization_id
                            scope: null
                            name: name
                            id: id
                            status: REQUIREMENT_STATUS_UNSPECIFIED
                        projects:
                          - null
                          - null
                        built_in: true
                        raw_schema:
                          format: FORMAT_UNSPECIFIED
                          body: body
                        description: description
                        created_at: '2000-01-23T04:56:07.000Z'
                        display_name: display_name
                        sections:
                          - requirements:
                              - version_references:
                                  - scope: UNSPECIFIED
                                    id: id
                                    automated_policies_count: 6
                                    revision: 0
                                    manual_evidence_count: 1
                                  - scope: UNSPECIFIED
                                    id: id
                                    automated_policies_count: 6
                                    revision: 0
                                    manual_evidence_count: 1
                                preview: true
                                frameworks:
                                  - null
                                  - null
                                built_in: true
                                raw_schema:
                                  format: FORMAT_UNSPECIFIED
                                  body: body
                                created_at: '2000-01-23T04:56:07.000Z'
                                description: description
                                display_name: display_name
                                updated_at: '2000-01-23T04:56:07.000Z'
                                organization_id: organization_id
                                scope: null
                                name: name
                                id: id
                                status: REQUIREMENT_STATUS_UNSPECIFIED
                              - version_references:
                                  - scope: UNSPECIFIED
                                    id: id
                                    automated_policies_count: 6
                                    revision: 0
                                    manual_evidence_count: 1
                                  - scope: UNSPECIFIED
                                    id: id
                                    automated_policies_count: 6
                                    revision: 0
                                    manual_evidence_count: 1
                                preview: true
                                frameworks:
                                  - null
                                  - null
                                built_in: true
                                raw_schema:
                                  format: FORMAT_UNSPECIFIED
                                  body: body
                                created_at: '2000-01-23T04:56:07.000Z'
                                description: description
                                display_name: display_name
                                updated_at: '2000-01-23T04:56:07.000Z'
                                organization_id: organization_id
                                scope: null
                                name: name
                                id: id
                                status: REQUIREMENT_STATUS_UNSPECIFIED
                            parent_id: parent_id
                            name: name
                            sub_sections:
                              - null
                              - null
                            description: description
                            id: id
                          - requirements:
                              - version_references:
                                  - scope: UNSPECIFIED
                                    id: id
                                    automated_policies_count: 6
                                    revision: 0
                                    manual_evidence_count: 1
                                  - scope: UNSPECIFIED
                                    id: id
                                    automated_policies_count: 6
                                    revision: 0
                                    manual_evidence_count: 1
                                preview: true
                                frameworks:
                                  - null
                                  - null
                                built_in: true
                                raw_schema:
                                  format: FORMAT_UNSPECIFIED
                                  body: body
                                created_at: '2000-01-23T04:56:07.000Z'
                                description: description
                                display_name: display_name
                                updated_at: '2000-01-23T04:56:07.000Z'
                                organization_id: organization_id
                                scope: null
                                name: name
                                id: id
                                status: REQUIREMENT_STATUS_UNSPECIFIED
                              - version_references:
                                  - scope: UNSPECIFIED
                                    id: id
                                    automated_policies_count: 6
                                    revision: 0
                                    manual_evidence_count: 1
                                  - scope: UNSPECIFIED
                                    id: id
                                    automated_policies_count: 6
                                    revision: 0
                                    manual_evidence_count: 1
                                preview: true
                                frameworks:
                                  - null
                                  - null
                                built_in: true
                                raw_schema:
                                  format: FORMAT_UNSPECIFIED
                                  body: body
                                created_at: '2000-01-23T04:56:07.000Z'
                                description: description
                                display_name: display_name
                                updated_at: '2000-01-23T04:56:07.000Z'
                                organization_id: organization_id
                                scope: null
                                name: name
                                id: id
                                status: REQUIREMENT_STATUS_UNSPECIFIED
                            parent_id: parent_id
                            name: name
                            sub_sections:
                              - null
                              - null
                            description: description
                            id: id
                        products:
                          - name: name
                            description: description
                            created_at: '2000-01-23T04:56:07.000Z'
                            id: id
                          - name: name
                            description: description
                            created_at: '2000-01-23T04:56:07.000Z'
                            id: id
                        updated_at: '2000-01-23T04:56:07.000Z'
                        organization_id: organization_id
                        name: name
                        id: id
                        not_applicable: true
                    workflow_runs_count: workflow_runs_count
                    last_workflow_run_at: '2000-01-23T04:56:07.000Z'
                    pre_release: true
                    created_at: '2000-01-23T04:56:07.000Z'
                    id: id
                    released_at: '2000-01-23T04:56:07.000Z'
                    version: version
                    latest: true
                    status: null
                - track_latest_project_version: true
                  project:
                    latest_released_version:
                      project_id: project_id
                      frameworks:
                        - preview: true
                          requirements:
                            - version_references:
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                              preview: true
                              frameworks:
                                - null
                                - null
                              built_in: true
                              raw_schema:
                                format: FORMAT_UNSPECIFIED
                                body: body
                              created_at: '2000-01-23T04:56:07.000Z'
                              description: description
                              display_name: display_name
                              updated_at: '2000-01-23T04:56:07.000Z'
                              organization_id: organization_id
                              scope: null
                              name: name
                              id: id
                              status: REQUIREMENT_STATUS_UNSPECIFIED
                            - version_references:
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                              preview: true
                              frameworks:
                                - null
                                - null
                              built_in: true
                              raw_schema:
                                format: FORMAT_UNSPECIFIED
                                body: body
                              created_at: '2000-01-23T04:56:07.000Z'
                              description: description
                              display_name: display_name
                              updated_at: '2000-01-23T04:56:07.000Z'
                              organization_id: organization_id
                              scope: null
                              name: name
                              id: id
                              status: REQUIREMENT_STATUS_UNSPECIFIED
                          projects:
                            - null
                            - null
                          built_in: true
                          raw_schema:
                            format: FORMAT_UNSPECIFIED
                            body: body
                          description: description
                          created_at: '2000-01-23T04:56:07.000Z'
                          display_name: display_name
                          sections:
                            - requirements:
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                              parent_id: parent_id
                              name: name
                              sub_sections:
                                - null
                                - null
                              description: description
                              id: id
                            - requirements:
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                              parent_id: parent_id
                              name: name
                              sub_sections:
                                - null
                                - null
                              description: description
                              id: id
                          products:
                            - name: name
                              description: description
                              created_at: '2000-01-23T04:56:07.000Z'
                              id: id
                            - name: name
                              description: description
                              created_at: '2000-01-23T04:56:07.000Z'
                              id: id
                          updated_at: '2000-01-23T04:56:07.000Z'
                          organization_id: organization_id
                          name: name
                          id: id
                          not_applicable: true
                        - preview: true
                          requirements:
                            - version_references:
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                              preview: true
                              frameworks:
                                - null
                                - null
                              built_in: true
                              raw_schema:
                                format: FORMAT_UNSPECIFIED
                                body: body
                              created_at: '2000-01-23T04:56:07.000Z'
                              description: description
                              display_name: display_name
                              updated_at: '2000-01-23T04:56:07.000Z'
                              organization_id: organization_id
                              scope: null
                              name: name
                              id: id
                              status: REQUIREMENT_STATUS_UNSPECIFIED
                            - version_references:
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                              preview: true
                              frameworks:
                                - null
                                - null
                              built_in: true
                              raw_schema:
                                format: FORMAT_UNSPECIFIED
                                body: body
                              created_at: '2000-01-23T04:56:07.000Z'
                              description: description
                              display_name: display_name
                              updated_at: '2000-01-23T04:56:07.000Z'
                              organization_id: organization_id
                              scope: null
                              name: name
                              id: id
                              status: REQUIREMENT_STATUS_UNSPECIFIED
                          projects:
                            - null
                            - null
                          built_in: true
                          raw_schema:
                            format: FORMAT_UNSPECIFIED
                            body: body
                          description: description
                          created_at: '2000-01-23T04:56:07.000Z'
                          display_name: display_name
                          sections:
                            - requirements:
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                              parent_id: parent_id
                              name: name
                              sub_sections:
                                - null
                                - null
                              description: description
                              id: id
                            - requirements:
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
                                  scope: null
                                  name: name
                                  id: id
                                  status: REQUIREMENT_STATUS_UNSPECIFIED
                              parent_id: parent_id
                              name: name
                              sub_sections:
                                - null
                                - null
                              description: description
                              id: id
                          products:
                            - name: name
                              description: description
                              created_at: '2000-01-23T04:56:07.000Z'
                              id: id
                            - name: name
                              description: description
                              created_at: '2000-01-23T04:56:07.000Z'
                              id: id
                          updated_at: '2000-01-23T04:56:07.000Z'
                          organization_id: organization_id
                          name: name
                          id: id
                          not_applicable: true
                      workflow_runs_count: workflow_runs_count
                      last_workflow_run_at: '2000-01-23T04:56:07.000Z'
                      pre_release: true
                      created_at: '2000-01-23T04:56:07.000Z'
                      id: id
                      released_at: '2000-01-23T04:56:07.000Z'
                      version: version
                      latest: true
                      status: null
                    latest_version:
                      project_id: project_id
                      frameworks:
                        - preview: true
                          requirements:
                            - version_references:
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                              preview: true
                              frameworks:
                                - null
                                - null
                              built_in: true
                              raw_schema:
                                format: FORMAT_UNSPECIFIED
                                body: body
                              created_at: '2000-01-23T04:56:07.000Z'
                              description: description
                              display_name: display_name
                              updated_at: '2000-01-23T04:56:07.000Z'
                              organization_id: organization_id
                              scope: null
                              name: name
                              id: id
                              status: REQUIREMENT_STATUS_UNSPECIFIED
                            - version_references:
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                                - scope: UNSPECIFIED
                                  id: id
                                  automated_policies_count: 6
                                  revision: 0
                                  manual_evidence_count: 1
                              preview: true
                              frameworks:
                                - null
                                - null
                              built_in: true
                              raw_schema:
                                format: FORMAT_UNSPECIFIED
                                body: body
                              created_at: '2000-01-23T04:56:07.000Z'
                              description: description
                              display_name: display_name
                              updated_at: '2000-01-23T04:56:07.000Z'
                              organization_id: organization_id
                              scope: null
                              name: name
                              id: id
                              status: REQUIREMENT_STATUS_UNSPECIFIED
                          projects:
                            - null
                            - null
                          built_in: true
                          raw_schema:
                            format: FORMAT_UNSPECIFIED
                            body: body
                          description: description
                          created_at: '2000-01-23T04:56:07.000Z'
                          display_name: display_name
                          sections:
                            - requirements:
                                - version_references:
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                    - scope: UNSPECIFIED
                                      id: id
                                      automated_policies_count: 6
                                      revision: 0
                                      manual_evidence_count: 1
                                  preview: true
                                  frameworks:
                                    - null
                                    - null
                                  built_in: true
                                  raw_schema:
                                    format: FORMAT_UNSPECIFIED
                                    body: body
                                  created_at: '2000-01-23T04:56:07.000Z'
                                  description: description
                                  display_name: display_name
                                  updated_at: '2000-01-23T04:56:07.000Z'
                                  organization_id: organization_id
[...]
